Main Page Groups Namespaces

# sigc::hide_functor< 0, T_functor > Struct Template Reference
[hide(), hide_return()]

Adaptor that adds a dummy parameter to the wrapped functor. More...

Inheritance diagram for sigc::hide_functor< 0, T_functor >:

[legend]
List of all members.

## Public Types
typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type
## Public Member Functions
template<class T_arg1>
deduce_result_type< T_arg1 >::type | operator() (T_arg1)
| Invokes the wrapped functor ignoring the only argument.
template<class T_arg1>
deduce_result_type< T_arg1 >::type | sun_forte_workaround (T_arg1 _A_a1)
template<class T_arg1, class T_arg2>
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1, T_arg2 _A_a2)
| Invokes the wrapped functor ignoring the 1th argument.
## Classes
struct | deduce_result_type

## Detailed Description

### template <class T_functor>
struct sigc::hide_functor< 0, T_functor >

Adaptor that adds a dummy parameter to the wrapped functor.

This template specialization ignores the value of the 0th parameter in operator()().

## Member Typedef Documentation

template <class T_functor>
typedef adapts<T_functor>::adaptor_type sigc::hide_functor<0, T_functor>::adaptor_type

| Reimplemented from sigc::adapts<T_functor>.

template <class T_functor>
typedef adaptor_type::result_type sigc::hide_functor<0, T_functor>::result_type

| Reimplemented from sigc::adapts<T_functor>.

## Member Function Documentation

template <class T_functor>
template <class T_arg1, class T_arg2>
deduce_result_type<T_arg1,T_arg2>::type sigc::hide_functor<0, T_functor>::operator() | ( | T_arg1 | ,
|  | T_arg2 | _A_a2
| ) | `[inline]`

  | Invokes the wrapped functor ignoring the 1th argument. Parameters:
  | _A_arg1 | Argument to be ignored.
  | _A_arg2 | Argument to be passed on to the functor.
Returns: The return value of the functor invocation.

template <class T_functor>
template <class T_arg1>
deduce_result_type<T_arg1>::type sigc::hide_functor<0, T_functor>::operator() | ( | T_arg1 |  | ) | `[inline]`

  | Invokes the wrapped functor ignoring the only argument. Parameters:
  | _A_arg%1 | Argument to be ignored.
Returns: The return value of the functor invocation.

template <class T_functor>
template <class T_arg1>
deduce_result_type<T_arg1>::type sigc::hide_functor<0, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1 | ) | `[inline]`

The documentation for this struct was generated from the following file:

- adaptors/hide.h